# Confirm the package development files: include directory, and library are where they should be according
# To the build configuration.
#
# Set LOCALTIME_INCLUDE_DIR to the include path.
# Set LOCALTIME_LIBRARY to the library name.
# Set LOCALTIME_LIBRARY_PATH to the library install directory path.


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was LocalTimeConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../usr/local" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

macro(set_and_check_value _var _value _file)
    set(${_var} "${_value}")
    if(NOT EXISTS "${_file}")
        message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
    endif()
endmacro()

set_and_check(LOCALTIME_INCLUDE_DIR "/usr/local/include/cpp_local_time")
set_and_check_value(LOCALTIME_LIBRARY "cpp_local_time" "/usr/local/lib/libcpp_local_time.a")
set_and_check_value(LOCALTIME_LIBRARY_PATH "/usr/local/lib" "/usr/local/lib/libcpp_local_time.a")

check_required_components(LocalTime)
